# MotorConfigInt
declaration: package: swervelib.parser.json, class: MotorConfigInt

Package swervelib.parser.json

# Class MotorConfigInt

java.lang.Object
swervelib.parser.json.MotorConfigInt

public class MotorConfigInt extends Object
Used to store ints for motor configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`angle`
Angle motor.
`int`
`drive`
Drive motor.

## Constructor Summary

Constructors
Constructor
Description
`MotorConfigInt()`
Default constructor.
`MotorConfigInt(int drive, int angle)`
Default constructor with values.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drive

public int drive
Drive motor.

### angle

public int angle
Angle motor.

## Constructor Details

### MotorConfigInt

public MotorConfigInt()
Default constructor.

### MotorConfigInt

public MotorConfigInt(int drive, int angle)
Default constructor with values.

Parameters:
  `drive` - Drive data.
  `angle` - Angle data.